<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="app">
        <samp style="font-size: 100px;">{{boxes}}</samp>
        <br>
        <button @click="Change" style="font-size: xxx-large;">เปลี่ยนไฟ</button>
    </div>

    <script>
        var app = new Vue({
            el:'#app',
            data:{
                lastId: 0,
              color:[
                  'red',
                  'yellow',
                  'green'
              ],
              boxes: 'red',
              
            },
            methods: {
                Change: function(color) {
                    this.boxes = this.color[this.lastId%3]
                    this.lastId++;

                },
            },
            
        })
    </script>
</body>
</html>